Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Installation and Configuration Guide

This guide provides the information you need to install the BizTalk 2013 R2 FileAct and InterAct Adapters for SWIFT.

In This Section

  • How to Install the FileAct and InterAct Adapter

  • How to Configure the FileAct and InterAct Adapter

  • How to Configure the Host Environment for the FileAct and InterAct Adapter

  • How to Configure the Send Handlers for the FileAct and InterAct Adapter

  • How to Configure the SWIFTNet Param File for the FileAct and InterAct Adapter

  • How to Configure the Receive Adapter Environment

  • Sample InterAct and FileAct Messages

  • How to Uninstall the FileAct and InterAct Adapter

  • How to Repair the FileAct and InterAct Adapter Installation

  • Installation Known Issues

© 2014 Microsoft Corporation. All rights reserved.


How to Install the FileAct and InterAct Adapter
See Also

This section provides instructions to install BizTalk 2013 R2 FileAct and InterAct Adapters – for SWIFT. Before you install the adapters, you must install the prerequisite software.

Prerequisites

To install BizTalk 2013 R2 FileAct and InterAct Adapters - for SWIFT, you must be logged on with an account that is part of the local administrators group. Ensure you install and configure the following prerequisites:

  • BizTalk Server 2013 R2

  • BizTalk 2013 R2 Accelerator for SWIFT (A4SWIFT)

  • SWIFTAlliance Gateway (SAG)

Step 1: Install BizTalk Server 2013 R2

For information about installing BizTalk Server 2013 R2, see http://go.microsoft.com/fwlink/p/?LinkId=269585.

Note
Ensure you install and configure the Business Activity Monitoring (BAM) feature of BizTalk Server 2013 R2.

After you configure BizTalk Server 2013 R2, make sure you have enough security privileges to access the BizTalk Server Administration console.

Step 2: Install BizTalk Accelerator for SWIFT (A4SWIFT)

For information about BizTalk Accelerator for SWIFT, see http://go.microsoft.com/fwlink/?LinkId=393979.

Step 3: Install SWIFTAlliance Gateway (SAG)

For information about installing and configuring SAG, including software requirements, see the SWIFTAlliance Gateway Remote API Developers Toolkit Installation Guide at http://go.microsoft.com/fwlink/?LinkId=188294.

Before you install the FileAct and InterAct adapters, you must create the SAG Message Partners, End Points, and Routing Rules, and test the SAG connectivity on the computer where you install the FileAct and InterAct adapters. For more information, see http://go.microsoft.com/fwlink/?LinkId=188294.

Step 4: Install the BizTalk FileAct and InterAct adapters

  1. Log on using the account that you added to the BizTalk Server Administrators group.

  2. Insert the product CD into the CD-ROM drive.

  3. From the product CD, run the Setup.exe file to start the installation.

  4. On the Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Installation Wizard page, click Install.

  5. On the Customer Information page, type your user name and organization name, and then click Next.

  6. On the License Agreement page, read the license agreement carefully. If you agree with the agreement, click Accept.

  7. On the Installation Options page, do one of the following:

    • Select the Complete option to install all components of the FileAct and InterAct adapters.

    • Select the Custom option to choose which components to install.

    Verify the installation location, or click Browse to select a different installation location, and then click Next.

  8. On the Summary page, click Install to install the listed components.

    Note
    As long as Run Configuration Wizard is selected on the Installation Completed page (the default), the Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Configuration wizard will run automatically when you click Finish.

  9. On the Installation Completed page, click Finish. The Configuration Wizard will run automatically.

See Also

Concepts

How to Configure the FileAct and InterAct Adapter

Other Resources

Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Installation and Configuration Guide


How to Configure the FileAct and InterAct Adapter

After the installation of BizTalk 2013 R2 FileAct and InterAct Adapters is complete, the configuration wizard automatically runs. This section provides instructions to configure the credentials for the account that the BizTalk 2013 R2 FileAct and InterAct Adapters runtime uses.

When you installed BizTalk 2013 R2 FileAct and InterAct Adapters, if you selected the Run Configuration Wizard on the Installation Completed page (the default), the BizTalk 2013 R2 FileAct and InterAct Adapter Configuration Wizard will run automatically after you click Finish.

Prerequisites

Following are the prerequisites to configure the FileAct and InterAct Adapter:

  • Install the BizTalk 2013 R2 FileAct and InterAct Adapters before you can configure it.

  • You must be logged on as a member of the BizTalk Server Administrators group.

  • Ensure SQL Server is running.

To configure the FileAct and InterAct Adapter

  1. In the Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Configuration wizard, on the Overview page, in the left pane, click Runtime to configure the runtime components of the adapters.

  2. On the Runtime Configuration page, under Account, click the ellipsis […] to specify the COM plus configuration for the Store and Forward mode.

  3. In the User Credentials dialog box, type the user name (in the domain\user name format) and password for the account used in the COM plus configuration, and then click OK.

    Note
    A User Credentials warning appears if the account you have specified has higher privileges than are recommended. Click Yes to continue to use the specified account.

  4. Click Apply configuration to apply the COM plus configuration to the FileAct and InterAct Adapter.

  5. On the Configuration Summary page, review the summary of components to be configured, and then click Next to continue.

  6. On the Configuration Completed page, review the list of components. A check mark means that the component is configured successfully. An "X" means that there is a problem with the configuration for that component.

    Note
    Use the Logfile link to view the configuration events.

  7. Click Finish to complete the configuration process. The configuration wizard returns to the Overview page, which shows the current configuration status for the Runtime components.

Next Steps

After you configure the BizTalk 2013 R2 FileAct and InterAct Adapters, you must configure the host environment for the adapters. For more information, see How to Configure the Host Environment for the FileAct and InterAct Adapter.

See Also

Concepts

How to Install the FileAct and InterAct Adapter


How to Configure the Host Environment for the FileAct and InterAct Adapter

Microsoft recommends that you create a dedicated host for the FileAct adapter and a separate dedicated host for the InterAct adapter. For each adapter, create at least one host instance.

For information about managing hosts and host instances, see BizTalk Server Help.

Next Steps

You must configure the FileAct and InterAct send handler properties in the BizTalk Server Administration console. For more information, see How to Configure the Send Handlers for the FileAct and InterAct Adapter.

See Also

Concepts

How to Configure the FileAct and InterAct Adapter


How to Configure the Send Handlers for the FileAct and InterAct Adapter

You use the FileAct and InterAct send handler properties as the send port configuration values, if the properties are not set on the individual FileAct or InterAct send port. This topic provides instructions to configure the FileAct and InterAct send handler properties in the BizTalk Server Administration console.

Note
Each host can have only one send handler associated with it.

Important
You must be logged on as a member of the BizTalk Server Administrators group.

To configure a FileAct or InterAct send handler

  1. Start BizTalk Server Administration console.

  2. In the BizTalk Server Administration console, expand BizTalk Server Administration, expand BizTalk Group, expand Platform Settings, and then expand Adapters.

  3. In the expanded adapter list, select FileAct or InterAct, and then in the right pane, double-click the send handler.

  4. In the Adapter Handler Properties dialog box, in the Host name drop-down list, select the host with which the send handler will be associated, and then click Properties.

  5. In the FileAct (or InterAct) Transport Properties dialog box, for the Argument property, type the argument as:

    -SagMessagePartner <Client Message Partner created in SAG>

    Note
    Replace <Client Message Partner created in SAG> with the name of the client message partner. Leave the default values for the Crypto Mode, FACrypto Mode, and LogMessages properties.

  6. Click OK.

  7. In the configuration change box, click OK.

  8. In the BizTalk Server Administration console, expand BizTalk Server Administration, expand BizTalk Group, expand Platform Settings, and then click Host Instances.

  9. In the details pane, right-click the FileAct host instance, and then click Restart.

  10. In the details pane, right-click the InterAct host instance, and then click Restart.

Next Steps

You must specify the server message partners in the SWIFTNet paramfile to enable the FileAct and InterAct receive adapters. For more information, see How to Configure the SWIFTNet Param File for the FileAct and InterAct Adapter.

See Also

Concepts

How to Configure the Host Environment for the FileAct and InterAct Adapter


How to Configure the SWIFTNet Param File for the FileAct and InterAct Adapter

The Server message partners created in SAG must be specified in the SWIFTNet paramfile to enable the FileAct and InterAct receive adapters to initialize with the values. The paramfile is typically located in c:\SWIFTAlliance\RA\<remote access instance name>\cfg\paramfile. After you configure the paramfile, you must start SnlReceiver.exe.

To specify the server message partner name in the paramfile

  • Open the SWIFTNet paramfile and in the location marked with "***" add the following:

    spawn "snlreceiver -SagMessagePartner <Server MessagePartnerName> -AdapterMode <AdapterType>"

    Note
    AdapterType value can be Interact or Fileact.

    Copy Code
    username:snlowner
subsystem_name:SampleSubsystem
#subsystem_group: SampleSubsystem
#subsystem_dependency:Support,Swarm
subsystem_nature:critical
subsystem_start:
***
*END
subsystem_stop:
*KILL9:snlreceiver
*END
subsystem_status:
*NB:1:snlreceiver
*END
start_event:SNL001:subsystem SampleSubsystem is up
stop_event:SNL002:subsystem SampleSubsystem is down
Note
Before you start SNLreceiver, you must enable the receive ports for the adapter you are using (FileAct or InterAct).

To start and stop SnlReceiver.exe

  1. On the desktop, click the Remote API icon to open the Remote API command prompt.

  2. At the command prompt, type Swiftnet start and press ENTER to start SnlReceiver.exe.

  3. At the command prompt, type Swiftnet stop and press ENTER to stop SnlReceiver.exe.

Next Steps

You must update the file autoexec.bat to set the SWIFT environment variables. For more information, see How to Configure the Receive Adapter Environment.

See Also

Concepts

How to Configure the Send Handlers for the FileAct and InterAct Adapter


How to Configure the Receive Adapter Environment

You must update the file autoexec.bat to set the SWIFT environment variables on the computer where you have installed the BizTalk 2013 R2 FileAct and InterAct Adapters receive adapters. The environment variables are generated from the system that has the receive adapter installed in the path c:\SWIFTAlliance with an instance of the receive adapter named Ra1. Update the SWIFT environment variables appropriately for your configuration.

The following is a sample of the autoexe.bat file.

Copy Code
SET COMPUTERNAME=<Machine Name>
SET GENLOG_DIR=C:\SWIFTAlliance\RA\Ra1\log
SET GENUTIL_DIR=C:\SWIFTAlliance\RA\bin
SET HOMEDRIVE=C:
SET LOGONSERVER=\\SERVERNAME
SET OSA_DIR=C:\SWIFTAlliance\RA\Ra1\log
SET OSA_INSTANCE=Ra1
SET PKIEXECDIR=C:\SWIFTAlliance\RA
SET SAGRA_HOME=C:\SWIFTAlliance\RA
SET SESSIONNAME=RDP-Tcp#1
SET SLP_ENV=DEFAULT
SET SLP_FILE=server.slp
SET SNL_DOMAIN_NAME=Ra1
SET SPK_DATA_DIR=C:\SWIFTAlliance\RA\data\pki
SET SWNET_BIN_PATH=C:\SWIFTAlliance\RA\Ra1\bin
SET SWNET_CFG_PATH=C:\SWIFTAlliance\RA\Ra1\cfg
SET SWNET_HOME=C:\SWIFTAlliance\RA
SET SWNET_HOST=HOSTNAME
SET SWNET_INST=Ra1
SET SWNET_LOG_PATH=C:\SWIFTAlliance\RA\Ra1\log
SET SWNET_SLP_PATH=C:\SWIFTAlliance\RA\data\
SET SWNET_VERSION=5.0.20
SET SWTRACE=C:\SWIFTAlliance\RA\Ra1\log
SET Path=%PATH%;C:\SWIFTAlliance\RA\bin
SET Path=%PATH%;C:\SWIFTAlliance\RA\lib

Next Steps

For examples of FileAct and InterAct messages, see Sample InterAct and FileAct Messages.

See Also

Concepts

How to Configure the SWIFTNet Param File for the FileAct and InterAct Adapter


Sample InterAct and FileAct Messages

Samples of InterAct and FileAct real-time messages are given below.

Sample InterAct real-time message

Copy Code
<SwInt-ExchangeRequest>
<SwInt-Request>
<SwInt-RequestPayload>
TestPayloadRequestSnF
</SwInt-RequestPayload>
</SwInt-Request>
</SwInt-ExchangeRequest>

Sample FileAct real-time message (put request)

Copy Code
<?xml version="1.0" encoding="utf-8"?>
<Sw-ExchangeFileRequest>
<Sw-FileRequest>
<Sw-FileOpRequest>
<Sw-PutFileRequest>
<Sw-PhysicalName>%PhysicalFolderName%\sample_put.txt</Sw-PhysicalName>
</Sw-PutFileRequest>
</Sw-FileOpRequest>
</Sw-FileRequest>
</Sw-ExchangeFileRequest>

Sample FileAct real-time message (get request)

Copy Code
<?xml version="1.0" encoding="utf-8"?>
<Sw-ExchangeFileRequest>
<Sw-FileRequest>
<Sw-FileOpRequest>
<Sw-GetFileRequest>
<Sw-PhysicalName>%PhysicalFolderName%\sample_get.txt</Sw-PhysicalName>
</Sw-GetFileRequest>
</Sw-FileOpRequest>
</Sw-FileRequest>
</Sw-ExchangeFileRequest>

See Also

Other Resources

Microsoft BizTalk 2013 R2 FileAct and InterAct Adapter Installation and Configuration Guide


How to Uninstall the FileAct and InterAct Adapter

This topic provides instructions to uninstall BizTalk 2013 FileAct and InterAct Adapter.

To uninstall the FileAct and InterAct Adapter

  1. On the computer running the adapter, open the Control Panel, and then click Uninstall a Program.

  2. In list of installed programs, right-click BizTalk 2013 R2 FileAct and InterAct Adapter, and then click Uninstall/Change.

  3. On the Program Maintenance page, select the Remove option, and then click Next.

  4. On the Summary page, click Uninstall.

  5. On the Uninstall Completed page, click Finish.

See Also

Concepts

How to Install the FileAct and InterAct Adapter
How to Repair the FileAct and InterAct Adapter Installation


How to Repair the FileAct and InterAct Adapter Installation

This topic provides instructions to repair the BizTalk 2013 FileAct and InterAct Adapter installation.

To repair the FileAct and InterAct adapter installation

  1. On the computer running the adapter, open the Control Panel, and then click Uninstall a Program.

  2. In list of installed programs, right-click BizTalk 2013 R2 FileAct and InterAct Adapter, and then click Uninstall/Change.

  3. On the Program Maintenance page, select the Repair option, and then click Next.

  4. On the Summary page, click Repair.

  5. On the Repair Completed page, click Finish.

See Also

Concepts

How to Install the FileAct and InterAct Adapter
How to Uninstall the FileAct and InterAct Adapter


Installation Known Issues

BizTalk 2013 R2 FileAct and InterAct Adapters have known issues listed in the following sections.

SWIFT Does Not Support Stress Testing on Integration Test Bed (ITB) and SWIFTNet Stub Environment

The ITB does not provide Service Level Agreement (SLA) in terms of throughput, and cannot guarantee that data is completely transmitted or consistent. You should stress test your implementation on the production network in the Pilot environment.

Additionally, you must ensure that all of the nodes (server, lines, and bandwidth) are properly configured to avoid any data loss. Following are typical sample throughputs:

  • Interact/Fileact Send under stressed computer: 20 messages/minute

  • Interact/Fileact Receive under stressed computer: 300-400 messages/minute

For more information, see your SWIFT documentation.

Messages Not Pushed When Queue Is Open

When you are using InterAct or FileAct Store and Forward (SnF) mode, if the session with the queue is open and messages are not being pushed, then you must restart SNLreceiver.exe. This avoids an issue with SWIFT that can occur occasionally.

You Must Use CDATA when Passing Characters like "<" and "&" in message

The term CDATA is used about text data that should not be parsed by the XML parser. Characters like "<" and "&" are illegal in XML elements. "<" will generate an error because the parser interprets it as the start of a new element. "&" will generate an error because the parser interprets it as the start of a character entity. Everything inside a CDATA section is ignored by the parser. A CDATA section starts with "<![CDATA[" and ends with "]]>"

You Must Use Passthrough Pipelines with Payload-Only Mode

If you are using payload-only mode for the InterAct adapter, you must use pass-through pipelines on both the send and receive ports if you are not using custom pipelines.

Multiple Security Contexts Not Created (SWIFTNet Stub Computer)

On a SWIFTNet stub computer, multiple security contexts are not created for different send ports. Multiple security contexts are created on ITB.


Copyright

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2014 Microsoft Corporation. All rights reserved.

Microsoft, BizTalk, Visual Studio, Windows, Windows Server, Windows Server System, and Windows Vista are trademarks of the Microsoft group of companies.

SWIFT, S.W.I.F.T., the SWIFT logo, Sibos, SWIFTNet, SWIFTAlliance, SWIFTStandards, SWIFTReady and Accord are trademarks of S.W.I.F.T. SCRL. Other SWIFT-derived product and service names, such as but not limited to SWIFTSolutions and SWIFTSupport, are tradenames of S.W.I.F.T. SCRL.

All other trademarks are property of their respective owners.